function runscript()
	if (getflag(FLAG_INTRO_PLAYED) == FLAG_OFF) then
		setflag(FLAG_INTRO_PLAYED, FLAG_ON);
		fadeoutinstant();
		graphic("");
		hideplayer();	
		fadein();
		speaker("ip");
		createnpc("ip", 8, 10);
		walktox("ip", 11);
		wait(20);
		say(".|.|.");
		wait(20);		
		setanimtemplate("ip", ANIM_STAND_LEFT);
		wait(20);
		setanimtemplate("ip", ANIM_STAND_RIGHT);
		wait(20);
		say("Where are you, you dirty rat!");
		speaker("mouse1");
		wait(10);
		createnpc("mouse1", 28, 7);
		setgravity("mouse1", 2);
		walktoxspeed("mouse1", 26, 2);
		say("I told you||, I'm a mouse, you idiot!/n|Nyeh heh heh.");
		walktoxbackwardsspeed("mouse1", 28, 2);
		destroy("mouse1");
		speaker("ip");
		say("I'm gonna get you, you dirty rat!");
		destroy("ip");
		
		showplayer();
		setdir(1);
	end
end